Scheduler Zero
REST APIAPI referenceLeads

List the leads in a lead list

Requires the `lead:read` and `leadList:read` permissions.

GET
/leads/by-list/{leadListId}

Requires the lead:read and leadList:read permissions.

Authorization

ApiKeyAuth
x-api-key<token>

API key created under Settings → API Keys. Scoped to a single workspace.

In: header

Path Parameters

leadListId*string
Formatuuid

Query Parameters

offset?integer

Number of records to skip.

Range0 <= value
Default0
limit?integer

Page size (max 100).

Range1 <= value <= 100
Default20
search?string

Case-insensitive substring filter.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/leads/by-list/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "user@example.com",      "firstName": "string",      "lastName": "string",      "company": "string",      "customFieldValues": {        "property1": "string",        "property2": "string"      }    }  ],  "pagination": {    "total": 0,    "totalPages": 0,    "currentPage": 0,    "pageSize": 0,    "offset": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}